net.fortuna.ical4j.model

## Class AbstractContentFactory

- java.lang.Object
- - net.fortuna.ical4j.model.AbstractContentFactory

Direct Known Subclasses:
  ParameterFactoryImpl, PropertyFactoryImpl

    public abstract class AbstractContentFactory
    extends Object

$Id$ Created on 28/01/2007 Abstract implementation of a content factory.

Author:
  Ben Fortuna

### Constructor Summary

Constructors
Constructor and Description
`AbstractContentFactory()` Default constructor.

### Method Summary

Methods
`protected boolean` `allowIllegalNames()`
`protected Object` `getFactory(String key)`
`protected void` `registerDefaultFactory(String key, Object factory)` Register a standard content factory.
`protected void` `registerExtendedFactory(String key, Object factory)` Register a non-standard content factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractContentFactory

    public AbstractContentFactory()

Default constructor.

### Method Detail

#### registerDefaultFactory

    protected final void registerDefaultFactory(String key,
                              Object factory)

Register a standard content factory.

#### registerExtendedFactory

    protected final void registerExtendedFactory(String key,
                               Object factory)

Register a non-standard content factory.

#### getFactory

    protected final Object getFactory(String key)

Parameters:
  `key` - a factory key
Returns:
  a factory associated with the specified key, giving preference to standard factories

#### allowIllegalNames

    protected boolean allowIllegalNames()

Returns:
  true if non-standard names are allowed, otherwise false